// Fill out your copyright notice in the Description page of Project Settings.


#include "PilotCamera.h"
#include "MonolithPlayerController.h"
#include "MonolithCharacter.h"
#include "GameFramework/CharacterMovementComponent.h"

void UPilotCamera::TickComponent(float DeltaTime, ELevelTick TickType, FActorComponentTickFunction* ThisTickFunction)
{
	Super::TickComponent(DeltaTime, TickType, ThisTickFunction);
	if (m_Movement == nullptr) 
	{
		AMonolithCharacter* PlayerChar = Cast<AMonolithCharacter>
		(
			Cast<AMonolithPlayerController>(GetWorld()->GetFirstPlayerController())->GetPawn()
		);
		if (PlayerChar == nullptr) return;
		m_Movement = PlayerChar->GetComponentByClass<UCharacterMovementComponent>();
		if (m_Movement == nullptr) return;
	}
	UE_LOG(LogTemp, Warning, TEXT("Acc: %f, Vel: %f"), m_Movement->GetCurrentAcceleration().X, m_Movement->Velocity.X);
}
